## lmms 1.0.3

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.4.5)

PROJECT(lmms)

SET(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" ${CMAKE_MODULE_PATH})

IF(COMMAND CMAKE_POLICY)
	CMAKE_POLICY(SET CMP0005 NEW)
	CMAKE_POLICY(SET CMP0003 NEW)
ENDIF(COMMAND CMAKE_POLICY)

INCLUDE(AddFileDependencies)
INCLUDE(CheckIncludeFiles)
INCLUDE(FindPkgConfig)

SET(VERSION_MAJOR "1")
SET(VERSION_MINOR "0")
SET(VERSION_PATCH "3")
#SET(VERSION_SUFFIX "")
SET(VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")
IF(VERSION_SUFFIX)
	SET(VERSION "${VERSION}-${VERSION_SUFFIX}")
ENDIF(VERSION_SUFFIX)


INCLUDE(DetectMachine)


OPTION(WANT_ALSA	"Include ALSA (Advanced Linux Sound Architecture) support" ON)
OPTION(WANT_CALF	"Include CALF LADSPA plugins" ON)
OPTION(WANT_CAPS	"Include C* Audio Plugin Suite (LADSPA plugins)" ON)
OPTION(WANT_CMT		"Include Computer Music Toolkit LADSPA plugins" ON)
OPTION(WANT_JACK	"Include JACK (Jack Audio Connection Kit) support" ON)
OPTION(WANT_OGGVORBIS	"Include OGG/Vorbis support" ON)
OPTION(WANT_PULSEAUDIO	"Include PulseAudio support" ON)
OPTION(WANT_PORTAUDIO	"Include PortAudio support" ON)
OPTION(WANT_SDL		"Include SDL (Simple DirectMedia Layer) support" ON)
OPTION(WANT_SF2		"Include SoundFont2 player plugin" ON)
OPTION(WANT_STK		"Include Stk (Synthesis Toolkit) support" ON)
OPTION(WANT_SWH		"Include Steve Harris's LADSPA plugins" ON)
OPTION(WANT_TAP		"Include Tom's Audio Processing LADSPA plugins" ON)
OPTION(WANT_VST		"Include VST support" ON)
OPTION(WANT_VST_NOWINE	"Include partial VST support (without wine)" OFF)
OPTION(WANT_WINMM	"Include WinMM MIDI support" OFF)


IF(LMMS_BUILD_APPLE)
        SET(WANT_ALSA OFF)
	SET(WANT_PULSEAUDIO OFF)
	SET(WANT_VST OFF)
	SET(STATUS_ALSA "<not supported on this platform>")
	SET(STATUS_PULSEAUDIO "<not supported on this platform>")
	# MacPorts: /opt/local/lib
	LINK_DIRECTORIES(${LINK_DIRECTORIES} /opt/local/lib)
ENDIF(LMMS_BUILD_APPLE)


IF(LMMS_BUILD_WIN32)
	SET(WANT_ALSA OFF)
	SET(WANT_JACK OFF)
	SET(WANT_PULSEAUDIO OFF)
	SET(WANT_SYSTEM_SR OFF)
	SET(WANT_WINMM ON)
	SET(LMMS_HAVE_WINMM TRUE)
	SET(STATUS_ALSA "<not supported on this platform>")
	SET(STATUS_JACK "<not supported on this platform>")
	SET(STATUS_PULSEAUDIO "<not supported on this platform>")
	SET(STATUS_WINMM "OK")
ELSE(LMMS_BUILD_WIN32)
	SET(STATUS_WINMM "<not supported on this platform>")
ENDIF(LMMS_BUILD_WIN32)



CHECK_INCLUDE_FILES(stdint.h LMMS_HAVE_STDINT_H)
CHECK_INCLUDE_FILES(stdlib.h LMMS_HAVE_STDLIB_H)
CHECK_INCLUDE_FILES(pthread.h LMMS_HAVE_PTHREAD_H)
CHECK_INCLUDE_FILES(semaphore.h LMMS_HAVE_SEMAPHORE_H)
CHECK_INCLUDE_FILES(unistd.h LMMS_HAVE_UNISTD_H)
CHECK_INCLUDE_FILES(sys/types.h LMMS_HAVE_SYS_TYPES_H)
CHECK_INCLUDE_FILES(sys/ipc.h LMMS_HAVE_SYS_IPC_H)
CHECK_INCLUDE_FILES(sys/shm.h LMMS_HAVE_SYS_SHM_H)
CHECK_INCLUDE_FILES(sys/time.h LMMS_HAVE_SYS_TIME_H)
CHECK_INCLUDE_FILES(sys/wait.h LMMS_HAVE_SYS_WAIT_H)
CHECK_INCLUDE_FILES(sys/select.h LMMS_HAVE_SYS_SELECT_H)
CHECK_INCLUDE_FILES(stdarg.h LMMS_HAVE_STDARG_H)
CHECK_INCLUDE_FILES(signal.h LMMS_HAVE_SIGNAL_H)
CHECK_INCLUDE_FILES(sched.h LMMS_HAVE_SCHED_H)
CHECK_INCLUDE_FILES(sys/soundcard.h LMMS_HAVE_SYS_SOUNDCARD_H)
CHECK_INCLUDE_FILES(soundcard.h LMMS_HAVE_SOUNDCARD_H)
CHECK_INCLUDE_FILES(fcntl.h LMMS_HAVE_FCNTL_H)
CHECK_INCLUDE_FILES(sys/ioctl.h LMMS_HAVE_SYS_IOCTL_H)
CHECK_INCLUDE_FILES(ctype.h LMMS_HAVE_CTYPE_H)
CHECK_INCLUDE_FILES(string.h LMMS_HAVE_STRING_H)
CHECK_INCLUDE_FILES(process.h LMMS_HAVE_PROCESS_H)
CHECK_INCLUDE_FILES(locale.h LMMS_HAVE_LOCALE_H)

LIST(APPEND CMAKE_PREFIX_PATH "${CMAKE_INSTALL_PREFIX}")

# check for Qt4
SET(QT_MIN_VERSION "4.3.0" COMPONENTS QtCore QtGui QtXml)
FIND_PACKAGE(Qt4 REQUIRED)
SET(QT_USE_QTXML 1)
EXEC_PROGRAM(${QT_QMAKE_EXECUTABLE} ARGS "-query QT_INSTALL_TRANSLATIONS" OUTPUT_VARIABLE QT_TRANSLATIONS_DIR)
IF(WIN32)
	SET(QT_TRANSLATIONS_DIR "${MINGW_PREFIX}/share/qt4/translations/")
ENDIF(WIN32)
IF(EXISTS "${QT_TRANSLATIONS_DIR}")
	MESSAGE("-- Found Qt translations in ${QT_TRANSLATIONS_DIR}")
	ADD_DEFINITIONS(-D'QT_TRANSLATIONS_DIR="${QT_TRANSLATIONS_DIR}"')
ENDIF(EXISTS "${QT_TRANSLATIONS_DIR}")
IF(NOT WIN32)
	STRING(REPLACE "-DQT_DLL" "" QT_DEFINITIONS "${QT_DEFINITIONS}")
ENDIF(NOT WIN32)
INCLUDE("${QT_USE_FILE}")

# check for libsndfile
PKG_CHECK_MODULES(SNDFILE REQUIRED sndfile>=1.0.11)
IF(NOT SNDFILE_FOUND)
	MESSAGE(FATAL_ERROR "LMMS requires libsndfile1 and libsndfile1-dev >= 1.0.11 - please install, remove CMakeCache.txt and try again!")
ENDIF(NOT SNDFILE_FOUND)

IF(WANT_CALF)
SET(LMMS_HAVE_CALF TRUE)
SET(STATUS_CALF "OK")
ELSE(WANT_CALF)
SET(STATUS_CALF "not built as requested")
ENDIF(WANT_CALF)

IF(WANT_CAPS)
SET(LMMS_HAVE_CAPS TRUE)
SET(STATUS_CAPS "OK")
ELSE(WANT_CAPS)
SET(STATUS_CAPS "not built as requested")
ENDIF(WANT_CAPS)

IF(WANT_CMT)
SET(LMMS_HAVE_CMT TRUE)
SET(STATUS_CMT "OK")
ELSE(WANT_CMT)
SET(STATUS_CMT "not built as requested")
ENDIF(WANT_CMT)

IF(WANT_SWH)
SET(LMMS_HAVE_SWH TRUE)
SET(STATUS_SWH "OK")
ELSE(WANT_SWH)
SET(STATUS_SWH "not built as requested")
ENDIF(WANT_SWH)

IF(WANT_TAP)
SET(LMMS_HAVE_TAP TRUE)
SET(STATUS_TAP "OK")
ELSE(WANT_TAP)
SET(STATUS_TAP "not built as requested")
ENDIF(WANT_TAP)


# check for SDL
IF(WANT_SDL)
	SET(SDL_BUILDING_LIBRARY TRUE)
	FIND_PACKAGE(SDL)
	IF(SDL_FOUND)
		SET(LMMS_HAVE_SDL TRUE)
		SET(STATUS_SDL "OK")
	ELSE(SDL_FOUND)
		SET(STATUS_SDL "not found, please install libsdl1.2-dev (or similiar) "
			"if you require SDL support")
	ENDIF(SDL_FOUND)
ENDIF(WANT_SDL)
IF(NOT LMMS_HAVE_SDL)
	SET(SDL_INCLUDE_DIR "")
ELSE(NOT LMMS_HAVE_SDL)
	IF(NOT SDL_INCLUDE_DIR)
		SET(SDL_INCLUDE_DIR "${CMAKE_FIND_ROOT_PATH}/include")
	ENDIF(NOT SDL_INCLUDE_DIR)
ENDIF(NOT LMMS_HAVE_SDL)


# check for Stk
IF(WANT_STK)
	FIND_PACKAGE(STK)
	IF(STK_FOUND)
		SET(LMMS_HAVE_STK TRUE)
		SET(STATUS_STK "OK")
	ELSE(STK_FOUND)
		SET(STK_INCLUDE_DIR "")
		SET(STATUS_STK "not found, please install libstk0-dev (or similiar) "
			"if you require the Mallets instrument")
	ENDIF(STK_FOUND)
ENDIF(WANT_STK)


# check for PortAudio
IF(WANT_PORTAUDIO)
	FIND_PACKAGE(Portaudio)
	IF(PORTAUDIO_FOUND)
		SET(LMMS_HAVE_PORTAUDIO TRUE)
		SET(STATUS_PORTAUDIO "OK")
	ELSE(PORTAUDIO_FOUND)
		SET(STATUS_PORTAUDIO "not found, please install portaudio19-dev (or similiar, version >= 1.9) "
			"if you require PortAudio support")
	ENDIF(PORTAUDIO_FOUND)
ENDIF(WANT_PORTAUDIO)


# check for PulseAudio
IF(WANT_PULSEAUDIO)
	FIND_PACKAGE(PulseAudio)
	IF(PULSEAUDIO_FOUND)
		SET(LMMS_HAVE_PULSEAUDIO TRUE)
		SET(STATUS_PULSEAUDIO "OK")
	ELSE(PULSEAUDIO_FOUND)
		SET(STATUS_PULSEAUDIO "not found, please install libpulse-dev (or similiar) "
			"if you require PulseAudio support")
	ENDIF(PULSEAUDIO_FOUND)
ENDIF(WANT_PULSEAUDIO)
IF(NOT LMMS_HAVE_PULSEAUDIO)
	SET(PULSEAUDIO_INCLUDE_DIR "")
	SET(PULSEAUDIO_LIBRARIES "")
ENDIF(NOT LMMS_HAVE_PULSEAUDIO)


# check for OGG/Vorbis-libraries
IF(WANT_OGGVORBIS)
	FIND_PACKAGE(OggVorbis)
	IF(OGGVORBIS_FOUND)
		SET(LMMS_HAVE_OGGVORBIS TRUE)
		SET(STATUS_OGGVORBIS "OK")
	ELSE(OGGVORBIS_FOUND)
		SET(STATUS_OGGVORBIS "not found, libogg-dev and libvorbis-dev (or similiar) "
			"is highly recommended")
	ENDIF(OGGVORBIS_FOUND)
ENDIF(WANT_OGGVORBIS)


# check whether to enable OSS-support
IF(LMMS_HAVE_SOUNDCARD_H OR LMMS_HAVE_SYS_SOUNDCARD_H)
	SET(LMMS_HAVE_OSS TRUE)
	SET(STATUS_OSS "OK")
ELSE(LMMS_HAVE_SOUNDCARD_H OR LMMS_HAVE_SYS_SOUNDCARD_H)
	SET(STATUS_OSS "<not found or not supported on this platform>")
ENDIF(LMMS_HAVE_SOUNDCARD_H OR LMMS_HAVE_SYS_SOUNDCARD_H)


# check for ALSA
IF(WANT_ALSA)
	FIND_PACKAGE(Alsa)
	IF(ALSA_FOUND)
		SET(LMMS_HAVE_ALSA TRUE)
		SET(STATUS_ALSA "OK")
	ELSE(ALSA_FOUND)
		SET(STATUS_ALSA "not found, please install libasound2-dev (or similiar) "
			"if you require ALSA support")
	ENDIF(ALSA_FOUND)
ENDIF(WANT_ALSA)
IF(NOT LMMS_HAVE_ALSA)
	SET(ASOUND_LIBRARY "")
ENDIF(NOT LMMS_HAVE_ALSA)


# check for JACK
IF(WANT_JACK)
	PKG_CHECK_MODULES(JACK jack>=0.77)
	IF(JACK_FOUND)
		SET(LMMS_HAVE_JACK TRUE)
		SET(STATUS_JACK "OK")
	ELSE(JACK_FOUND)
		SET(STATUS_JACK "not found, please install libjack0.100.0-dev (or similiar) "
			"if you require JACK support")
	ENDIF(JACK_FOUND)
ENDIF(WANT_JACK)


# check for FFTW3F-library
PKG_CHECK_MODULES(FFTW3F REQUIRED fftw3f>=3.0.0)


# check for Fluidsynth
IF(WANT_SF2)
	PKG_CHECK_MODULES(FLUIDSYNTH fluidsynth>=1.0.7)
	IF(FLUIDSYNTH_FOUND)
		SET(LMMS_HAVE_FLUIDSYNTH TRUE)
		SET(STATUS_FLUIDSYNTH "OK")
	ELSE(FLUIDSYNTH_FOUND)
		SET(STATUS_FLUIDSYNTH "not found, libfluidsynth-dev (or similiar)"
			"is highly recommended")
	ENDIF(FLUIDSYNTH_FOUND)
ENDIF(WANT_SF2)

# check for pthreads
IF(LMMS_BUILD_LINUX OR LMMS_BUILD_APPLE)
	FIND_PACKAGE(Threads)
ENDIF(LMMS_BUILD_LINUX OR LMMS_BUILD_APPLE)

# check for WINE
IF(WANT_VST)
	FIND_PACKAGE(Wine)
	IF(WINE_FOUND)
		SET(LMMS_SUPPORT_VST TRUE)
		SET(STATUS_VST "OK")
	ELSE(WINE_FOUND)
		SET(STATUS_VST "not found, please install (lib)wine-dev (or similiar) - 64 bit systems additionally need gcc-multilib and g++-multilib")
	ENDIF(WINE_FOUND)
ENDIF(WANT_VST)
IF(LMMS_BUILD_WIN32)
	SET(LMMS_SUPPORT_VST TRUE)
	SET(STATUS_VST "OK")
ENDIF(LMMS_BUILD_WIN32)


# check for libsamplerate
PKG_CHECK_MODULES(SAMPLERATE REQUIRED samplerate>=0.1.8)


CONFIGURE_FILE("${CMAKE_SOURCE_DIR}/lmmsconfig.h.in" "${CMAKE_BINARY_DIR}/lmmsconfig.h")
CONFIGURE_FILE("${CMAKE_SOURCE_DIR}/lmmsversion.h.in" "${CMAKE_BINARY_DIR}/lmmsversion.h")
CONFIGURE_FILE("${CMAKE_SOURCE_DIR}/lmms.rc.in" "${CMAKE_BINARY_DIR}/lmms.rc")
CONFIGURE_FILE("${CMAKE_SOURCE_DIR}/plugins/zynaddsubfx/zynaddsubfx.rc.in" "${CMAKE_BINARY_DIR}/plugins/zynaddsubfx/zynaddsubfx.rc")

# set compiler flags
SET(WERROR_FLAGS "-Wall -Werror=unused-function -Wno-sign-compare -Wno-strict-overflow")
IF(NOT LMMS_BUILD_APPLE)
   SET(WERROR_FLAGS "${WERROR_FLAGS} -Werror")
ENDIF()

SET(CMAKE_C_FLAGS "-O2 -g ${WERROR_FLAGS} ${CMAKE_C_FLAGS}")
SET(CMAKE_CXX_FLAGS "-O2 -g -fno-exceptions ${WERROR_FLAGS} ${CMAKE_CXX_FLAGS}")
set(CMAKE_C_FLAGS_DEBUG "-DLMMS_DEBUG")


# people simply updating git will still have this and mess up build with it
FILE(REMOVE include/lmmsconfig.h)

FILE(GLOB lmms_INCLUDES "${CMAKE_SOURCE_DIR}/include/*.h")
FILE(GLOB lmms_UI "${CMAKE_SOURCE_DIR}/src/gui/dialogs/*.ui" "${CMAKE_SOURCE_DIR}/src/gui/Forms/*.ui")
FILE(GLOB_RECURSE lmms_SOURCES "${CMAKE_SOURCE_DIR}/src/*.cpp")

SET(lmms_MOC ${lmms_INCLUDES})

# Get list of all committers from git history, ordered by number of commits
FIND_PACKAGE(Git)
IF(GIT_FOUND)
	SET(CONTRIBUTORS "${CMAKE_BINARY_DIR}/CONTRIBUTORS")
	EXECUTE_PROCESS(
		COMMAND "${GIT_EXECUTABLE}" shortlog -sne
		COMMAND cut -c8-
		OUTPUT_FILE "${CONTRIBUTORS}"
		WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}"
		TIMEOUT 1)
ENDIF(GIT_FOUND)

SET(lmms_EMBEDDED_RESOURCES "${CMAKE_SOURCE_DIR}/AUTHORS" "${CMAKE_SOURCE_DIR}/COPYING" "${CONTRIBUTORS}")

QT4_WRAP_CPP(lmms_MOC_out ${lmms_MOC} OPTIONS -nw)
QT4_WRAP_UI(lmms_UI_out ${lmms_UI})


# embedded resources stuff
IF(WIN32 OR WIN64)
	# compile buildtools native
	SET(BIN2RES_CPP "${CMAKE_SOURCE_DIR}/buildtools/bin2res.cpp")
	SET(BIN2RES "${CMAKE_BINARY_DIR}/bin2res")
	ADD_CUSTOM_COMMAND(OUTPUT "${BIN2RES}" COMMAND g++ ARGS "\"${BIN2RES_CPP}\"" -o "\"${BIN2RES}\"" DEPENDS "${BIN2RES_CPP}")
ELSE(WIN32 OR WIN64)
	ADD_EXECUTABLE(bin2res buildtools/bin2res.cpp)
	GET_TARGET_PROPERTY(BIN2RES bin2res LOCATION)
ENDIF(WIN32 OR WIN64)

SET(LMMS_ER_H "${CMAKE_CURRENT_BINARY_DIR}/embedded_resources.h")

# we somehow have to make LMMS-binary depend on MOC-files
ADD_FILE_DEPENDENCIES("${CMAKE_BINARY_DIR}/lmmsconfig.h" ${lmms_MOC_out})

ADD_CUSTOM_COMMAND(OUTPUT "${LMMS_ER_H}" COMMAND "${BIN2RES}" ARGS ${lmms_EMBEDDED_RESOURCES} > "\"${LMMS_ER_H}\"" DEPENDS "${BIN2RES}")

IF(WIN32)
	SET(WINRC "${CMAKE_BINARY_DIR}/lmmsrc.obj")
	ADD_CUSTOM_COMMAND(OUTPUT "${WINRC}"
				COMMAND "${WINDRES}"
					"-I\"${CMAKE_SOURCE_DIR}\""
					"-o\"${CMAKE_BINARY_DIR}/lmmsrc.obj\""
					"-i\"${CMAKE_BINARY_DIR}/lmms.rc\""
				DEPENDS "${CMAKE_BINARY_DIR}/lmms.rc")
	SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-attributes")
ELSE(WIN32)

=== data/CMakeLists.txt ===
ADD_SUBDIRECTORY(backgrounds)
ADD_SUBDIRECTORY(locale)
ADD_SUBDIRECTORY(presets)
ADD_SUBDIRECTORY(projects)
ADD_SUBDIRECTORY(samples)
ADD_SUBDIRECTORY(themes)
ADD_SUBDIRECTORY(scripts)

IF(LMMS_BUILD_LINUX)
   INSTALL(FILES themes/default/icon.png DESTINATION "${DATA_DIR}/pixmaps" RENAME lmms.png)
   INSTALL(FILES lmms DESTINATION "${DATA_DIR}/menu")
   INSTALL(FILES lmms.desktop DESTINATION "${DATA_DIR}/applications")
   INSTALL(FILES lmms.xml DESTINATION "${DATA_DIR}/mime/packages")
ENDIF(LMMS_BUILD_LINUX)

IF(LMMS_BUILD_WIN32)
   FILE(GLOB RAWWAVES "${CMAKE_INSTALL_PREFIX}/share/stk/rawwaves/*.raw")
   INSTALL(FILES ${RAWWAVES} DESTINATION "${DATA_DIR}/stk/rawwaves")
ENDIF(LMMS_BUILD_WIN32)

IF(LMMS_BUILD_APPLE)
	CONFIGURE_FILE("${CMAKE_SOURCE_DIR}/data/lmms.plist.in" "${CMAKE_INSTALL_PREFIX}/Info.plist")
ENDIF(LMMS_BUILD_APPLE)

=== plugins/CMakeLists.txt ===
ADD_SUBDIRECTORY(Amplifier)
ADD_SUBDIRECTORY(audio_file_processor)
ADD_SUBDIRECTORY(BassBooster)
ADD_SUBDIRECTORY(bit_invader)
ADD_SUBDIRECTORY(DualFilter)
ADD_SUBDIRECTORY(dynamics_processor)
ADD_SUBDIRECTORY(flp_import)
ADD_SUBDIRECTORY(HydrogenImport)
ADD_SUBDIRECTORY(kicker)
ADD_SUBDIRECTORY(ladspa_browser)
ADD_SUBDIRECTORY(LadspaEffect)
ADD_SUBDIRECTORY(lb302)
#ADD_SUBDIRECTORY(lb303)
ADD_SUBDIRECTORY(midi_import)
ADD_SUBDIRECTORY(opl2)
ADD_SUBDIRECTORY(organic)
ADD_SUBDIRECTORY(papu)
ADD_SUBDIRECTORY(patman)
ADD_SUBDIRECTORY(peak_controller_effect)
ADD_SUBDIRECTORY(sf2_player)
ADD_SUBDIRECTORY(sfxr)
ADD_SUBDIRECTORY(sid)
ADD_SUBDIRECTORY(SpectrumAnalyzer)
ADD_SUBDIRECTORY(stereo_enhancer)
ADD_SUBDIRECTORY(stereo_matrix)
ADD_SUBDIRECTORY(stk)
ADD_SUBDIRECTORY(triple_oscillator)
ADD_SUBDIRECTORY(vestige)
ADD_SUBDIRECTORY(vst_base)
ADD_SUBDIRECTORY(VstEffect)
ADD_SUBDIRECTORY(waveshaper)
ADD_SUBDIRECTORY(vibed)
ADD_SUBDIRECTORY(zynaddsubfx)

=== plugins/vst_base/CMakeLists.txt ===
IF(LMMS_SUPPORT_VST)

INCLUDE(BuildPlugin)

IF(LMMS_BUILD_WIN32)
	ADD_DEFINITIONS(-DPTW32_STATIC_LIB)
	ADD_EXECUTABLE(RemoteVstPlugin "${CMAKE_CURRENT_SOURCE_DIR}/RemoteVstPlugin.cpp")
	TARGET_LINK_LIBRARIES(RemoteVstPlugin -lQtCore4 -lpthread -lgdi32 -lws2_32)
	SET_TARGET_PROPERTIES(RemoteVstPlugin PROPERTIES COMPILE_FLAGS "${COMPILE_FLAGS} -O3")
	ADD_CUSTOM_COMMAND(TARGET RemoteVstPlugin POST_BUILD COMMAND "${STRIP}" "${CMAKE_CURRENT_BINARY_DIR}/RemoteVstPlugin.exe")
	INSTALL(TARGETS RemoteVstPlugin RUNTIME DESTINATION "${PLUGIN_DIR}")

	IF(LMMS_BUILD_WIN64)
		# build 32 bit version of RemoteVstPlugin for Win64 so we can load
		# 32 bit VST plugins
		ADD_SUBDIRECTORY(Win64)
	ENDIF(LMMS_BUILD_WIN64)
ENDIF(LMMS_BUILD_WIN32)

BUILD_PLUGIN(vstbase vst_base.cpp VstPlugin.cpp VstPlugin.h communication.h MOCFILES VstPlugin.h)


IF(LMMS_BUILD_LINUX AND NOT WANT_VST_NOWINE)

IF(LMMS_HOST_X86_64)
	SET(EXTRA_FLAGS -m32)

	# workaround for broken wineg++ in WINE 1.4 (shipped e.g. with Ubuntu Precise)
	EXEC_PROGRAM( ${WINE_CXX} ARGS "-v -m32 /dev/zero" OUTPUT_VARIABLE WINEBUILD_OUTPUT)
	if("${WINEBUILD_OUTPUT}" MATCHES ".*x86_64-linux-gnu/wine/libwinecrt0.a.*")
		SET(EXTRA_FLAGS ${EXTRA_FLAGS} -nodefaultlibs /usr/lib/i386-linux-gnu/wine/libwinecrt0.a -luser32 -lkernel32 -lgdi32)
	ENDIF()
ENDIF(LMMS_HOST_X86_64)

ADD_CUSTOM_COMMAND(
		SOURCE "${CMAKE_CURRENT_SOURCE_DIR}/RemoteVstPlugin.cpp"
		COMMAND ${WINE_CXX}
		ARGS "-I\"${CMAKE_BINARY_DIR}\"" "-I\"${CMAKE_SOURCE_DIR}/include\"" "-I\"${CMAKE_INSTALL_PREFIX}/include/wine/windows\"" "-I\"${CMAKE_INSTALL_PREFIX}/include\"" -I/usr/include/wine/windows "\"${CMAKE_CURRENT_SOURCE_DIR}/RemoteVstPlugin.cpp\"" -mwindows -lpthread ${EXTRA_FLAGS} -o RemoteVstPlugin
		COMMAND find -name RemoteVstPlugin.exe -exec mv "'{}'" RemoteVstPlugin "';'"
		TARGET vstbase
		OUTPUTS RemoteVstPlugin
		)

SET_DIRECTORY_PROPERTIES(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES RemoteVstPlugin.exe.so)
INSTALL(PROGRAMS "${CMAKE_CURRENT_BINARY_DIR}/RemoteVstPlugin" "${CMAKE_CURRENT_BINARY_DIR}/RemoteVstPlugin.exe.so" DESTINATION "${PLUGIN_DIR}")
ENDIF(LMMS_BUILD_LINUX AND NOT WANT_VST_NOWINE)


ENDIF(LMMS_SUPPORT_VST)

=== plugins/vst_base/Win64/CMakeLists.txt ===
INCLUDE_DIRECTORIES("${CMAKE_BINARY_DIR}" "${CMAKE_SOURCE_DIR}/include")
SET(CMAKE_CXX_COMPILER "${CMAKE_CXX_COMPILER32}")

ADD_EXECUTABLE(RemoteVstPlugin32 "${CMAKE_CURRENT_SOURCE_DIR}/../RemoteVstPlugin.cpp")
TARGET_LINK_LIBRARIES(RemoteVstPlugin32 -lQtCore4 -lpthread -lgdi32 -lws2_32)

ADD_CUSTOM_COMMAND(TARGET RemoteVstPlugin32 POST_BUILD COMMAND "${STRIP}" "\"${CMAKE_CURRENT_BINARY_DIR}/RemoteVstPlugin32.exe\"")
SET_TARGET_PROPERTIES(RemoteVstPlugin32 PROPERTIES COMPILE_FLAGS "${COMPILE_FLAGS} -O3")

INSTALL(TARGETS RemoteVstPlugin32 RUNTIME DESTINATION "${PLUGIN_DIR}/32")
INSTALL(FILES "${MINGW_PREFIX32}/bin/QtCore4.dll" "${MINGW_PREFIX32}/bin/zlib1.dll" "${MINGW_PREFIX32}/${CMAKE_SYSTEM_PROCESSOR32}-w64-mingw32/bin/libwinpthread-1.dll"
        DESTINATION "${PLUGIN_DIR}/32")

=== debian/changelog ===
lmms (1.0.3-5) unstable; urgency=low

  * Make lmms replace and break lmms-common (<< 1.0.0-1) to handle the
    fact that /usr/share/menu/lmms moved from lmms-common to lmms in
    this version (Closes: #765970).

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 19 Oct 2014 23:43:08 +0200

lmms (1.0.3-4) unstable; urgency=low

  * Correct watch file to reflect '-src' part of upstream tarball.
  * New desktop-argument.patch to let desktops know how to pass files to
    lmms.  Thanks to lintian for noticing the bug.
  * Revert change to enable the vsl plugin in version 1.0.3-3, as it did
    not work.  Reopen bug #763720.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 08 Oct 2014 19:21:53 +0200

lmms (1.0.3-3) unstable; urgency=medium

  * Try to get vsl plugin working on i386 by build depending on libwine-dev
    and wine32-dev-tools (Closes: #763720).  Unable to get it working on
    amd64.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 07 Oct 2014 12:13:16 +0200

lmms (1.0.3-2) unstable; urgency=medium

  * Change build rule to only enable ALSA support on Linux (Closes: #754718).
    Patch from Steven Chamberlain with input from Guillem Jover.
  * Drop libwine-dev build dependency to avoid build failure in the
    vst plugin.  It should be enabled when we figure out how to do it.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 02 Oct 2014 08:19:53 +0200

lmms (1.0.3-1) unstable; urgency=low

  * Move package into Debian Edu git repository and add myself as
    co-maintainer.
  * Update to upstream version 1.0.3.
  * Correct build dependency on i386, use libwine-dev instead of the now
    obsolete wine-dev (Closes: #748183).
  * Update Standards-Version from 3.9.5 to 3.9.6.
  * Add new well-defined-loop.patch to fix compile error triggered by
    undefined loop behaviour (Closes: #753177).

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 01 Oct 2014 23:00:19 +0200

lmms (1.0.0-1) unstable; urgency=low

  * New upstream version (Closes: #703900, #735764, #696271)
  * Using a wraped-style control (Closes: #689347)
  * Don't suggest vcf as it no longer exists (since a long time)
    (Closes: #618350)
  * Problems with jack backend were fixed long ago (Closes: #557421)
  * No depends/recommends on wine anymore (Closes: #622215, #622080)

 -- Patrick Winnertz <winnie@debian.org>  Thu, 24 Apr 2014 22:30:17 +0200

=== debian/control ===
Source: lmms
Section: sound
Priority: optional
Maintainer: Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>
Uploaders:
 Patrick Winnertz <winnie@debian.org>
 , Petter Reinholdtsen <pere@debian.org>
Build-Depends: 
 cmake,
 debhelper (>= 9.0.0),
 gcc-multilib [amd64],
 g++-multilib [amd64],
 imagemagick,
 ladspa-sdk,
 libsdl-sound1.2-dev,
 libsamplerate0-dev,
 libsndfile1-dev,
 libvorbis-dev,
 libjack-dev,
 libstk0-dev,
 libflac-dev,
 libfltk1.3-dev,
 libxinerama-dev,
 libasound2-dev [linux-any],
 libqt4-dev,
 libpulse-dev,
 libfluidsynth-dev,
 libfftw3-dev,
 libfreetype6-dev,
 libxft-dev,
 portaudio19-dev,
 qt4-qmake, 
Standards-Version: 3.9.6
Homepage: http://lmms.sf.net/
Vcs-Browser: http://anonscm.debian.org/cgit/debian-edu/pkg-team/lmms.git/
Vcs-Git: git://anonscm.debian.org/debian-edu/pkg-team/lmms.git

Package: lmms
Architecture: any
Depends: lmms-common (>= ${source:Version}) , ${shlibs:Depends}, ${misc:Depends}, stk
Recommends: tap-plugins, caps
Suggests: fil-plugins, mcp-plugins, omins, freepats, fluid-soundfont-gm
Replaces: lmms-common (<< 1.0.0-1)
Breaks: lmms-common (<< 1.0.0-1)
Description: Linux Multimedia Studio
 LMMS aims to be a free alternative to popular (but commercial and closed-
 source) programs like FruityLoops, Cubase and Logic giving you the ability of
 producing music with your computer by creating cool loops, synthesizing and
 mixing sounds, arranging samples, having more fun with your MIDI-keyboard
 and much more...
 .
 LMMS combines the features of a tracker-/sequencer-program (pattern-/channel-/
 sample-/song-/effect-management) and those of powerful synthesizers and
 samplers in a modern, user-friendly and easy to use graphical user-interface.

Package: lmms-common
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Linux Multimedia Studio - common files
 LMMS aims to be a free alternative to popular (but commercial and closed-
 source) programs like FruityLoops, Cubase and Logic giving you the ability of
 producing music with your computer by creating cool loops, synthesizing and
 mixing sounds, arranging samples, having more fun with your MIDI-keyboard
 and much more...
 .
 LMMS combines the features of a tracker-/sequencer-program (pattern-/channel-/
 sample-/song-/effect-management) and those of powerful synthesizers and
 samplers in a modern, user-friendly and easy to use graphical user-interface.
 .
 This package contains the platform independent files such as samples, presets
 and some example projects.

=== debian/watch ===
version=3
http://sf.net/lmms/lmms-(.*)-src\.tar\.bz2

## lmms 1.1

=== DESCRIPTION ===
Package: lmms
Type: Package
Title: Linear mixed effect model splines for modelling and analysis of
        time course data
Version: 1.1
Date: 2014-05-06
Depends: R (>= 3.0.0)
Imports: stats, methods, nlme, lmeSplines, parallel, reshape, gdata,
        gplots, ggplot2, graphics
Author: Jasmin Straube, Kim-Anh Le Cao and Emma Huang with contributions of
    Dominique Gorse
Maintainer: Jasmin Straube <j.straube@qfab.org>
Description: The package implements linear mixed effect model splines for
    modelling and differential expression for highly dimensional data sets:
    investNoise for quality control and filterNoise for removing
    non-informative trajectories; lmmSpline to model time course expression
    profiles and lmmsDE performs differential expression analysis to identify
    differential expression between groups, time and/or time x group
    interaction.
License: GPL (>= 2)
Packaged: 2014-09-09 06:37:09 UTC; j.straube
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-09-11 08:52:15

## lmms 1.1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 INCLUDE(FindPkgConfig)
 
 SET(VERSION_MAJOR "1")
-SET(VERSION_MINOR "0")
+SET(VERSION_MINOR "1")
 SET(VERSION_PATCH "3")
 #SET(VERSION_SUFFIX "")
 SET(VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")
@@ -29,6 +29,7 @@
 OPTION(WANT_ALSA	"Include ALSA (Advanced Linux Sound Architecture) support" ON)
 OPTION(WANT_CALF	"Include CALF LADSPA plugins" ON)
 OPTION(WANT_CAPS	"Include C* Audio Plugin Suite (LADSPA plugins)" ON)
+OPTION(WANT_CARLA	"Include Carla plugin" ON)
 OPTION(WANT_CMT		"Include Computer Music Toolkit LADSPA plugins" ON)
 OPTION(WANT_JACK	"Include JACK (Jack Audio Connection Kit) support" ON)
 OPTION(WANT_OGGVORBIS	"Include OGG/Vorbis support" ON)
@@ -45,7 +46,8 @@
 
 
 IF(LMMS_BUILD_APPLE)
-        SET(WANT_ALSA OFF)
+	SET(WANT_SF2 OFF)
+	SET(WANT_ALSA OFF)
 	SET(WANT_PULSEAUDIO OFF)
 	SET(WANT_VST OFF)
 	SET(STATUS_ALSA "<not supported on this platform>")
@@ -156,6 +158,18 @@
 ENDIF(WANT_TAP)
 
 
+# check for CARLA
+IF(WANT_CARLA)
+	PKG_CHECK_MODULES(CARLA carla-standalone>=1.9.5)
+	IF(CARLA_FOUND)
+		SET(LMMS_HAVE_CARLA TRUE)
+		SET(STATUS_CARLA "OK")
+	ELSE(CARLA_FOUND)
+		SET(STATUS_CARLA "not found, please install the latest carla")
+	ENDIF(CARLA_FOUND)
+ENDIF(WANT_CARLA)
+
+
 # check for SDL
 IF(WANT_SDL)
 	SET(SDL_BUILDING_LIBRARY TRUE)
@@ -324,6 +338,11 @@
    SET(WERROR_FLAGS "${WERROR_FLAGS} -Werror")
 ENDIF()
 
+# Due to a regression in gcc-4.8.X, we need to disable array-bounds check
+IF (CMAKE_COMPILER_IS_GNUCXX AND ((CMAKE_CXX_COMPILER_VERSION VERSION_EQUAL "4.8.0") OR (CMAKE_CXX_COMPILER_VERSION VERSION_GREATER "4.8.0")))
+   SET(WERROR_FLAGS "${WERROR_FLAGS} -Wno-array-bounds")
+ENDIF()
+
 SET(CMAKE_C_FLAGS "-O2 -g ${WERROR_FLAGS} ${CMAKE_C_FLAGS}")
 SET(CMAKE_CXX_FLAGS "-O2 -g -fno-exceptions ${WERROR_FLAGS} ${CMAKE_CXX_FLAGS}")
 set(CMAKE_C_FLAGS_DEBUG "-DLMMS_DEBUG")
@@ -369,18 +388,3 @@
 
 SET(LMMS_ER_H "${CMAKE_CURRENT_BINARY_DIR}/embedded_resources.h")
 
-# we somehow have to make LMMS-binary depend on MOC-files
-ADD_FILE_DEPENDENCIES("${CMAKE_BINARY_DIR}/lmmsconfig.h" ${lmms_MOC_out})
-
-ADD_CUSTOM_COMMAND(OUTPUT "${LMMS_ER_H}" COMMAND "${BIN2RES}" ARGS ${lmms_EMBEDDED_RESOURCES} > "\"${LMMS_ER_H}\"" DEPENDS "${BIN2RES}")
-
-IF(WIN32)
-	SET(WINRC "${CMAKE_BINARY_DIR}/lmmsrc.obj")
-	ADD_CUSTOM_COMMAND(OUTPUT "${WINRC}"
-				COMMAND "${WINDRES}"
-					"-I\"${CMAKE_SOURCE_DIR}\""
-					"-o\"${CMAKE_BINARY_DIR}/lmmsrc.obj\""
-					"-i\"${CMAKE_BINARY_DIR}/lmms.rc\""
-				DEPENDS "${CMAKE_BINARY_DIR}/lmms.rc")
-	SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-attributes")
-ELSE(WIN32)

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,7 @@
 ADD_SUBDIRECTORY(projects)
 ADD_SUBDIRECTORY(samples)
 ADD_SUBDIRECTORY(themes)
+ADD_SUBDIRECTORY(wavetables)
 ADD_SUBDIRECTORY(scripts)
 
 IF(LMMS_BUILD_LINUX)

=== doc/CMakeLists.txt ===
FIND_PACKAGE(Doxygen)

if(DOXYGEN_FOUND)
	set(INPUTDIRS 
		"\"${CMAKE_CURRENT_SOURCE_DIR}../src/core\"
		\"${CMAKE_CURRENT_SOURCE_DIR}../src/gui\"
		\"${CMAKE_CURRENT_SOURCE_DIR}../src/tracks\"
		\"${CMAKE_CURRENT_SOURCE_DIR}../include\"
		\"${CMAKE_CURRENT_SOURCE_DIR}../plugins\"")
	CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile @ONLY)

	ADD_CUSTOM_TARGET(doc
		COMMAND ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
		WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}"
		COMMENT "Generating API documentation with Doxygen"
		SOURCES Doxyfile.in)
endif(DOXYGEN_FOUND)

=== plugins/CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,10 @@
 ADD_SUBDIRECTORY(audio_file_processor)
 ADD_SUBDIRECTORY(BassBooster)
 ADD_SUBDIRECTORY(bit_invader)
+ADD_SUBDIRECTORY(carlabase)
+ADD_SUBDIRECTORY(carlapatchbay)
+ADD_SUBDIRECTORY(carlarack)
+ADD_SUBDIRECTORY(delay)
 ADD_SUBDIRECTORY(DualFilter)
 ADD_SUBDIRECTORY(dynamics_processor)
 ADD_SUBDIRECTORY(flp_import)
@@ -11,13 +15,17 @@
 ADD_SUBDIRECTORY(LadspaEffect)
 ADD_SUBDIRECTORY(lb302)
 #ADD_SUBDIRECTORY(lb303)
-ADD_SUBDIRECTORY(midi_import)
+ADD_SUBDIRECTORY(MidiImport)
+ADD_SUBDIRECTORY(monstro)
+ADD_SUBDIRECTORY(nes)
 ADD_SUBDIRECTORY(opl2)
 ADD_SUBDIRECTORY(organic)
 ADD_SUBDIRECTORY(papu)
 ADD_SUBDIRECTORY(patman)
 ADD_SUBDIRECTORY(peak_controller_effect)
-ADD_SUBDIRECTORY(sf2_player)
+IF(NOT LMMS_BUILD_APPLE)
+   ADD_SUBDIRECTORY(sf2_player)
+ENDIF()
 ADD_SUBDIRECTORY(sfxr)
 ADD_SUBDIRECTORY(sid)
 ADD_SUBDIRECTORY(SpectrumAnalyzer)
@@ -28,6 +36,7 @@
 ADD_SUBDIRECTORY(vestige)
 ADD_SUBDIRECTORY(vst_base)
 ADD_SUBDIRECTORY(VstEffect)
+ADD_SUBDIRECTORY(watsyn)
 ADD_SUBDIRECTORY(waveshaper)
 ADD_SUBDIRECTORY(vibed)
 ADD_SUBDIRECTORY(zynaddsubfx)

=== data/backgrounds/CMakeLists.txt ===
FILE(GLOB PNG_FILES *.png)
INSTALL(FILES ${PNG_FILES} DESTINATION "${LMMS_DATA_DIR}/backgrounds")

=== data/locale/CMakeLists.txt ===
FILE(GLOB QM_FILES *.qm)
IF(LMMS_BUILD_WIN32)
	FILE(GLOB QT_QM_FILES "${QT_TRANSLATIONS_DIR}/qt*[^h].qm")
ENDIF(LMMS_BUILD_WIN32)

INSTALL(FILES ${QM_FILES} ${QT_QM_FILES} DESTINATION "${LMMS_DATA_DIR}/locale")

=== data/scripts/CMakeLists.txt ===
SET(BUILD_ROOT "${CMAKE_CURRENT_BINARY_DIR}/../../")
IF(LMMS_BUILD_APPLE)
   CONFIGURE_FILE("${CMAKE_SOURCE_DIR}/data/scripts/create_apple_bundle.sh.in"
      "${BUILD_ROOT}/create_apple_bundle.sh" @ONLY)
   CONFIGURE_FILE("${CMAKE_SOURCE_DIR}/data/scripts/create_apple_dmg.sh.in"
      "${BUILD_ROOT}/create_apple_dmg.sh" @ONLY)
   # Add execute permissions to bundle script
   SET(CHMOD_CMD "chmod")
   SET(CHMOD_ARG1 "u+x")
   SET(CHMOD_ARG2 "${BUILD_ROOT}/create_apple_bundle.sh")
   EXECUTE_PROCESS(COMMAND ${CHMOD_CMD} ${CHMOD_ARG1} ${CHMOD_ARG2})
   INSTALL(CODE "EXECUTE_PROCESS(COMMAND ${BUILD_ROOT}/create_apple_bundle.sh)")
ENDIF(LMMS_BUILD_APPLE)

=== data/wavetables/CMakeLists.txt ===
FILE(GLOB WAVETABLES *.bin)
INSTALL(FILES ${WAVETABLES} DESTINATION "${LMMS_DATA_DIR}/wavetables")

=== plugins/DualFilter/CMakeLists.txt ===
INCLUDE(BuildPlugin)

BUILD_PLUGIN(dualfilter DualFilter.cpp DualFilterControls.cpp DualFilterControlDialog.cpp MOCFILES DualFilterControls.h DualFilterControlDialog.h EMBEDDED_RESOURCES "${CMAKE_CURRENT_SOURCE_DIR}/*.png")

=== plugins/VstEffect/CMakeLists.txt ===
IF(LMMS_SUPPORT_VST)
INCLUDE(BuildPlugin)
INCLUDE_DIRECTORIES("${CMAKE_CURRENT_SOURCE_DIR}/../vst_base")
LINK_DIRECTORIES("${CMAKE_CURRENT_BINARY_DIR}/../vst_base")
LINK_LIBRARIES(vstbase)
BUILD_PLUGIN(vsteffect VstEffect.cpp VstEffectControls.cpp VstEffectControlDialog.cpp VstSubPluginFeatures.cpp VstEffect.h VstEffectControls.h VstEffectControlDialog.h VstSubPluginFeatures.h MOCFILES VstEffectControlDialog.h VstEffectControls.h EMBEDDED_RESOURCES "${CMAKE_CURRENT_SOURCE_DIR}/*.png")
SET_TARGET_PROPERTIES(vsteffect PROPERTIES COMPILE_FLAGS "-Wno-attributes")

ENDIF(LMMS_SUPPORT_VST)

=== plugins/carlabase/CMakeLists.txt ===
if(LMMS_HAVE_CARLA)
        INCLUDE(BuildPlugin)
        INCLUDE_DIRECTORIES(${CARLA_INCLUDE_DIRS})
        LINK_DIRECTORIES(${CARLA_LIBRARY_DIRS})
        LINK_LIBRARIES(${CARLA_LIBRARIES})
        BUILD_PLUGIN(carlabase carla.cpp carla.h MOCFILES carla.h EMBEDDED_RESOURCES "${CMAKE_CURRENT_SOURCE_DIR}/*.png")
        SET_TARGET_PROPERTIES(carlabase
                PROPERTIES SKIP_BUILD_RPATH TRUE
                BUILD_WITH_INSTALL_RPATH TRUE
                INSTALL_RPATH_USE_LINK_PATH TRUE
                INSTALL_RPATH "${CARLA_RPATH}")
endif(LMMS_HAVE_CARLA)

=== plugins/carlapatchbay/CMakeLists.txt ===
if(LMMS_HAVE_CARLA)
	ADD_DEFINITIONS(-DCARLA_PLUGIN_PATCHBAY -DCARLA_PLUGIN_SYNTH)
	INCLUDE(BuildPlugin)
	INCLUDE_DIRECTORIES(${CARLA_INCLUDE_DIRS} "${CMAKE_CURRENT_SOURCE_DIR}/../carlabase")
	LINK_DIRECTORIES("${CMAKE_CURRENT_BINARY_DIR}/../carlabase")
	LINK_LIBRARIES(carlabase)
	BUILD_PLUGIN(carlapatchbay carlapatchbay.cpp EMBEDDED_RESOURCES "${CMAKE_CURRENT_SOURCE_DIR}/*.png")
endif(LMMS_HAVE_CARLA)

=== debian/changelog ===
lmms (1.1.3-7) unstable; urgency=low

  [ Javier Serrano Polo ]
  * Separate flags for WINE_BUILD_FLAGS to fix build problem on i386.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 26 Dec 2016 07:36:54 +0000

lmms (1.1.3-6) unstable; urgency=low

  [ Javier Serrano Polo ]
  * Build with install RUNPATH (reproducibility).

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 25 Dec 2016 09:38:53 +0000

lmms (1.1.3-5) unstable; urgency=medium

  [ Javier Serrano Polo ]
  * Add Wine stable path to PATH, otherwise wine package would be required.
  * Sort plug-in embedded resources (reproducibility).
  * Define NDEBUG instead of setting build type to honor optimization choice.

 -- Javier Serrano Polo <javier@jasp.net>  Sat, 03 Sep 2016 17:31:05 +0200

lmms (1.1.3-4) unstable; urgency=medium

  [ Javier Serrano Polo ]
  * Sort lists generated from globbing expressions (reproducibility).
  * Fixed upgrade that installs recommended packages (Closes: #827039).
  * Dropped unused build dependencies.
  * Dropped workaround for #824715, wineg++ is fixed.
  * Added contributors.
  * Honor CONTRIBUTORS override.
  * Replace __FILE__ (reproducibility).
  * Use build type "Release" (reproducibility).

 -- Javier Serrano Polo <javier@jasp.net>  Wed, 08 Jun 2016 01:25:37 +0200

lmms (1.1.3-3) unstable; urgency=medium

  [ Javier Serrano Polo ]
  * Dropped Wine path from PATH.
  * Fixed lmms-common upgrade (Closes: #825287).
  * Hide vocoder plug-in, it is now in swh-plugins (Closes: #826110).
  * Added workaround for #824715 (Closes: #825286).

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 03 Jun 2016 08:51:31 +0000

lmms (1.1.3-2) unstable; urgency=medium

  [ Javier Serrano Polo ]
  * Enabled vst plugin on i386 and amd64 (Closes: #763720).
  * Made Calf and vocoder plugins available to other programs (Closes: #758888).
  * Fixed version of metalish_dong01.ogg (Closes: #802588).
  * Bumped Standards-Version to 3.9.7. Doxygen documentation is not very useful.
  * Upgraded to Standards-Version 3.9.8. Ship icons in the default hicolor icon
    theme directories.
  * Use presets from zynaddsubfx-data.
  * Fixed build problems with GCC 6 (Closes: #811697).
  * Switch to PulseAudio back end on likely ALSA interception (Closes: #781479).
  * Updated copyright information.
  * Removed non-free projects.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 18 May 2016 09:09:23 +0000

lmms (1.1.3-1) unstable; urgency=low

  * New upstream version 1.1.3 (Closes: #788457).
    - Drop well-defined-loop.patch, included upstream.
  * Add config for git-buildpackage to use pristine-tar all the time.
  * Change homepage url to new http://lmms.io/.
  * Added fluid as build-depend.
  * New patch find-fluid.patch to find the fluid binary in unstable.
  * New patch gcc5.patch to get the code building with gcc 5 in
    unstable (Closes: #777989).
  * Added man-page-adjustment.patch to fix manpage formatting of AUTHOR
    block. Discovered thanks to lintian.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 21 Sep 2015 13:54:02 +0200

=== debian/control ===
--- 
+++ 
@@ -5,43 +5,44 @@
 Uploaders:
  Patrick Winnertz <winnie@debian.org>
  , Petter Reinholdtsen <pere@debian.org>
-Build-Depends: 
+ , Israel Dahl <israeldahl@gmail.com>
+ , Javier Serrano Polo <javier@jasp.net>
+Build-Depends:
  cmake,
  debhelper (>= 9.0.0),
- gcc-multilib [amd64],
- g++-multilib [amd64],
- imagemagick,
  ladspa-sdk,
- libsdl-sound1.2-dev,
  libsamplerate0-dev,
+ libsdl1.2-dev,
  libsndfile1-dev,
  libvorbis-dev,
  libjack-dev,
  libstk0-dev,
- libflac-dev,
  libfltk1.3-dev,
- libxinerama-dev,
+ fluid,
  libasound2-dev [linux-any],
  libqt4-dev,
  libpulse-dev,
  libfluidsynth-dev,
  libfftw3-dev,
- libfreetype6-dev,
- libxft-dev,
  portaudio19-dev,
- qt4-qmake, 
-Standards-Version: 3.9.6
-Homepage: http://lmms.sf.net/
+ qt4-qmake,
+ wine32-tools [i386]
+Standards-Version: 3.9.8
+Homepage: http://lmms.io/
 Vcs-Browser: http://anonscm.debian.org/cgit/debian-edu/pkg-team/lmms.git/
 Vcs-Git: git://anonscm.debian.org/debian-edu/pkg-team/lmms.git
 
 Package: lmms
 Architecture: any
-Depends: lmms-common (>= ${source:Version}) , ${shlibs:Depends}, ${misc:Depends}, stk
-Recommends: tap-plugins, caps
-Suggests: fil-plugins, mcp-plugins, omins, freepats, fluid-soundfont-gm
+Depends: lmms-common (>= ${source:Version}) ,
+ calf-ladspa, ${shlibs:Depends}, ${misc:Depends}, stk
+Recommends: tap-plugins, caps,
+ lmms-vst-server:i386 (>= ${source:Version})
+Suggests: fil-plugins, mcp-plugins, omins, freepats, fluid-soundfont-gm,
+ ladspa-plugin
 Replaces: lmms-common (<< 1.0.0-1)
 Breaks: lmms-common (<< 1.0.0-1)
+Multi-Arch: allowed
 Description: Linux Multimedia Studio
  LMMS aims to be a free alternative to popular (but commercial and closed-
  source) programs like FruityLoops, Cubase and Logic giving you the ability of
@@ -55,7 +56,8 @@
 
 Package: lmms-common
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: zynaddsubfx-data, ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: Linux Multimedia Studio - common files
  LMMS aims to be a free alternative to popular (but commercial and closed-
  source) programs like FruityLoops, Cubase and Logic giving you the ability of
@@ -69,3 +71,25 @@
  .
  This package contains the platform independent files such as samples, presets
  and some example projects.
+
+Package: lmms-vst-server
+Architecture: i386
+# Order matters to avoid wine64
+Depends: wine32, wine, ${shlibs:Depends}, ${misc:Depends}
+Recommends: lmms:any
+Description: Linux Multimedia Studio - VST server
+ This package contains a helper application that loads VST plugins.
+
+Package: calf-ladspa
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Replaces: calf-plugins (<< 0.0.19)
+Provides: ladspa-plugin
+Description: Linux Multimedia Studio - Calf LADSPA plugins
+ Calf is a pack of audio plugins - effects and instruments. The goal is to
+ create a set of plugins using decent algorithms and parameter settings,
+ available in a form which is compatible with as many open source applications
+ as possible.
+ .
+ These plugins are distributed as part of Linux Multimedia Studio, but may be
+ used by other applications.

=== debian/rules ===
#!/usr/bin/make -f

#Rodney Dawes Version simplifies things :)

DH_CMAKE_BUILD_DIR=obj	-${DEB_BUILD_GNU_TYPE}
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_OS   ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

CMAKE_OPTS= -DCONTRIBUTORS=$(CURDIR)/doc/CONTRIBUTORS
ifneq ($(DEB_HOST_ARCH_OS),linux)
CMAKE_OPTS+= -DWANT_ALSA=0
endif

ifeq ($(DEB_HOST_ARCH),i386)
export PATH := $(PATH):/usr/lib/wine
WINE_PATH := /usr/lib/$(DEB_HOST_MULTIARCH)/wine
CMAKE_OPTS+= -DWINE_CXX_FLAGS=-Wl,--enable-new-dtags,-rpath=$(WINE_PATH)
else
CMAKE_OPTS+= -DWANT_VST_NOWINE=1 \
	-DREMOTE_VST_PLUGIN_FILEPATH=../../i386-linux-gnu/lmms/RemoteVstPlugin
endif

# Define NDEBUG. This helps with reproducible builds.
export CFLAGS ?= $(shell dpkg-buildflags --get CFLAGS) -DNDEBUG
export CXXFLAGS ?= $(shell dpkg-buildflags --get CXXFLAGS) -DNDEBUG

%:
	dh $@ --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH) $(CMAKE_OPTS)

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*\/)?v?(\d[\d\.]*)\.tar\.gz/lmms_$1.tar.gz/" \
https://github.com/LMMS/lmms/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## lmms 1.2

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Linear mixed effect model splines for modelling and analysis of
         time course data
-Version: 1.1
-Date: 2014-05-06
+Version: 1.2
+Date: 2014-11-19
 Depends: R (>= 3.0.0)
 Imports: stats, methods, nlme, lmeSplines, parallel, reshape, gdata,
         gplots, ggplot2, graphics
@@ -18,7 +18,7 @@
     differential expression between groups, time and/or time x group
     interaction.
 License: GPL (>= 2)
-Packaged: 2014-09-09 06:37:09 UTC; j.straube
+Packaged: 2014-11-20 23:21:18 UTC; j.straube
 NeedsCompilation: no
 Repository: CRAN
-Date/Publication: 2014-09-11 08:52:15
+Date/Publication: 2014-11-21 01:20:11

## lmms 1.2.1%2Bdfsg1

=== tests/CMakeLists.txt ===
IF(CMAKE_VERSION VERSION_LESS 2.8.8)
	MESSAGE("-- Unit tests are only available in CMake >=2.8.8. You have ${CMAKE_VERSION}")
	RETURN()
ENDIF()

INCLUDE_DIRECTORIES("${CMAKE_CURRENT_SOURCE_DIR}")
INCLUDE_DIRECTORIES("${CMAKE_CURRENT_BINARY_DIR}")
INCLUDE_DIRECTORIES("${CMAKE_SOURCE_DIR}/include")
INCLUDE_DIRECTORIES("${CMAKE_BINARY_DIR}")

SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --std=c++0x")

SET(CMAKE_AUTOMOC ON)

ADD_EXECUTABLE(tests
	EXCLUDE_FROM_ALL
	main.cpp
	QTestSuite
	$<TARGET_OBJECTS:lmmsobjs>

	src/core/ProjectVersionTest.cpp
	src/core/RelativePathsTest.cpp

	src/tracks/AutomationTrackTest.cpp
)
TARGET_LINK_LIBRARIES(tests ${QT_LIBRARIES} ${QT_QTTEST_LIBRARY})
TARGET_LINK_LIBRARIES(tests ${LMMS_REQUIRED_LIBS})

=== plugins/GigPlayer/CMakeLists.txt ===
if(LMMS_HAVE_GIG)
	INCLUDE(BuildPlugin)
	INCLUDE_DIRECTORIES(${GIG_INCLUDE_DIRS})

	# Disable C++11 on Clang until gig.h is patched
	IF(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
		REMOVE_DEFINITIONS(-std=c++0x)
	ENDIF()

	# Required for not crashing loading files with libgig
	SET(GCC_COVERAGE_COMPILE_FLAGS "-fexceptions")
	add_definitions(${GCC_COVERAGE_COMPILE_FLAGS})

	# disable deprecated check for mingw-x-libgig
	if(LMMS_BUILD_WIN32)
		SET(GCC_GIG_COMPILE_FLAGS "-Wno-deprecated")
		add_definitions(${GCC_GIG_COMPILE_FLAGS})
	endif(LMMS_BUILD_WIN32)

	LINK_DIRECTORIES(${GIG_LIBRARY_DIRS} ${SAMPLERATE_LIBRARY_DIRS})
	LINK_LIBRARIES(${GIG_LIBRARIES} ${SAMPLERATE_LIBRARIES})
	BUILD_PLUGIN(gigplayer GigPlayer.cpp GigPlayer.h PatchesDialog.cpp PatchesDialog.h PatchesDialog.ui MOCFILES GigPlayer.h PatchesDialog.h UICFILES PatchesDialog.ui EMBEDDED_RESOURCES "${CMAKE_CURRENT_SOURCE_DIR}/*.png")
endif(LMMS_HAVE_GIG)

=== plugins/monstro/CMakeLists.txt ===
INCLUDE(BuildPlugin)

BUILD_PLUGIN(monstro Monstro.cpp Monstro.h MOCFILES Monstro.h EMBEDDED_RESOURCES "${CMAKE_CURRENT_SOURCE_DIR}/*.png")

=== plugins/stereo_matrix/CMakeLists.txt ===
INCLUDE(BuildPlugin)

BUILD_PLUGIN(stereomatrix stereo_matrix.cpp stereomatrix_controls.cpp stereomatrix_control_dialog.cpp stereo_matrix.h stereomatrix_controls.h stereomatrix_control_dialog.h MOCFILES stereomatrix_controls.h stereomatrix_control_dialog.h EMBEDDED_RESOURCES "${CMAKE_CURRENT_SOURCE_DIR}/*.png")

=== plugins/zynaddsubfx/zynaddsubfx/src/Misc/CMakeLists.txt ===
include_directories(${MXML_INCLUDE_DIR})

set(zynaddsubfx_misc_SRCS
	Misc/Bank.cpp
	Misc/Config.cpp
	Misc/Dump.cpp
	Misc/Master.cpp
	Misc/Microtonal.cpp
	Misc/Part.cpp
	Misc/Util.cpp
	Misc/XMLwrapper.cpp
	Misc/Recorder.cpp
	Misc/WavFile.cpp
	Misc/WaveShapeSmps.cpp
)



if(LashEnable)
	set(zynaddsubfx_misc_SRCS
		${zynaddsubfx_misc_SRCS}
		Misc/LASHClient.cpp
		PARENT_SCOPE)
else()
	set(zynaddsubfx_misc_SRCS
		${zynaddsubfx_misc_SRCS}
		PARENT_SCOPE)
endif()

=== debian/control ===
Source: lmms
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Petter Reinholdtsen <pere@debian.org>,
 Israel Dahl <israeldahl@gmail.com>,
 Javier Serrano Polo <javier@jasp.net>,
 Ross Gammon <rossgammon@debian.org>
Build-Depends:
 bash-completion,
 cmake,
 debhelper-compat (= 12),
 extra-cmake-modules,
 fluid,
 ladspa-sdk,
 libasound2-dev [linux-any],
 libfftw3-dev,
 libfltk1.3-dev,
 libfluidsynth-dev,
 libgig-dev,
 libjack-jackd2-dev | libjack-dev,
 liblist-moreutils-perl,
 libmp3lame-dev,
 libogg-dev,
 libpulse-dev,
 libqt5x11extras5-dev,
 libsamplerate0-dev,
 libsdl1.2-dev,
 libsndfile1-dev,
 libsndio-dev,
 libsoundio-dev,
 libstk0-dev,
 libvorbis-dev,
 libx11-xcb-dev,
 libxcb-keysyms1-dev,
 libxcb-util0-dev,
 libxml-perl,
 libxml2-utils,
 portaudio19-dev,
 qtbase5-private-dev,
 qttools5-dev,
 wine32-tools (>= 4.0~) [i386]
Standards-Version: 4.4.1
Homepage: http://lmms.io/
Vcs-Git: https://salsa.debian.org/multimedia-team/lmms.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/lmms

Package: lmms
Architecture: any
Depends:
 lmms-common (>= ${source:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
 stk
Recommends:
 tap-plugins,
 caps,
 lmms-vst-server:i386 (>= ${source:Version})
Suggests: fil-plugins,
 mcp-plugins,
 omins,
 freepats,
 fluid-soundfont-gm,
 ladspa-plugin
Replaces: lmms-common (<< 1.0.0-1)
Breaks: lmms-common (<< 1.0.0-1)
Multi-Arch: allowed
Description: Linux Multimedia Studio
 LMMS aims to be a free alternative to popular (but commercial and closed-
 source) programs like FruityLoops, Cubase and Logic giving you the ability of
 producing music with your computer by creating cool loops, synthesizing and
 mixing sounds, arranging samples, having more fun with your MIDI-keyboard
 and much more...
 .
 LMMS combines the features of a tracker-/sequencer-program (pattern-/channel-/
 sample-/song-/effect-management) and those of powerful synthesizers and
 samplers in a modern, user-friendly and easy to use graphical user-interface.

Package: lmms-common
Architecture: all
Depends:
 zynaddsubfx-data,
 ${misc:Depends}
Description: Linux Multimedia Studio - common files
 LMMS aims to be a free alternative to popular (but commercial and closed-
 source) programs like FruityLoops, Cubase and Logic giving you the ability of
 producing music with your computer by creating cool loops, synthesizing and
 mixing sounds, arranging samples, having more fun with your MIDI-keyboard
 and much more...
 .
 LMMS combines the features of a tracker-/sequencer-program (pattern-/channel-/
 sample-/song-/effect-management) and those of powerful synthesizers and
 samplers in a modern, user-friendly and easy to use graphical user-interface.
 .
 This package contains the platform independent files such as samples, presets
 and some example projects.

Package: lmms-vst-server
Architecture: i386
# Order matters to avoid wine64
Depends:
 wine32 (>= 4.0~),
 wine (>= 4.0~),
 ${shlibs:Depends},
 ${misc:Depends}
Recommends: lmms:any
Description: Linux Multimedia Studio - VST server & plugins
 This package contains the LMMS VST plugins and a helper application that loads
 VST plugins.
